x020045_g_scriptId = 020045

x020045_g_CSParamIdxCurStage = 0			  --副本参数	
x020045_g_CSParamIdxCurSubStage = 1
x020045_g_CSParamIdxMonsterIndex = 2
x020045_g_CSParamIdxStoryIndex = 3
x020045_g_CSParamIdxAnimationIndex = 4
x020045_g_CSParamIdxMonsterNum = 5 


--奖励结算
function x020045_Succeed(scene)
	AccoutByStory(scene)
end

--副本Tick
function x020045_OnCopySceneTick(scene,tickCount)
	local curStage = GetCopySceneParam(scene,x020045_g_CSParamIdxCurStage)
	local curSubStage = GetCopySceneParam(scene,x020045_g_CSParamIdxCurSubStage)
	SetCopySceneParam(scene, x020045_g_CSParamIdxCurSubStage, curSubStage+1)

	if curStage == 5 then  
		AccoutByStory(scene)
		SetCopySceneSuccess(scene)
	end
end





